Subject: bug#56749: modernize bootstrap.conf

From: Jim Meyering <[email-masked]>
Date: Tue, 27 Dec 2022 11:29:57 -0800

On Tue, Dec 27, 2022 at 11:15 AM Paul Eggert <[email-masked]> wrote:
...
> To make this easier I changed gnulib/build-aux/bootstrap so that it
> doesn't need to replace itself. Instead, it has options --pull and
> --gen, so that './bootstrap --pull' is equivalent to librarified
> ./autopull.sh and './bootstrap --gen' is equivalent to librarified
> ./autogen.sh. These new options work regardless of whether one uses the
> standalone or the librarified bootstrap, and the standalone bootstrap
> need not replace itself when it runs.
>
> I propagated this into gzip by installing the attached patch, the only
> creative part of which is its README-hacking change. The rest simply
> syncs from Gnulib, using the standalone bootstrap instead of the
> librarified one.
>
> Assuming this sort of thing works out, I'd like to do something similar
> with grep, diffutils, etc.

Thank you for making it easier to integrate Bruno's improved bootstrap
functionality.